#import "QCPatch.h"
#import "QCOpenGLContext.h"

#import "QCBooleanPort.h"
#import "QCStringPort.h"
#import "QCStructurePort.h"
#import "QCStructure.h"
#import "QCImagePort.h"


#import <CoreAudio/CoreAudio.h>

@interface AudioInputPatch : QCPatch
{
    QCStringPort *inputDeviceUID;

	QCStructurePort	*outputWaveform;
	QCImagePort	*outputWaveformImage;


	QCStructure *audioData;
	CGColorSpaceRef cs;
	QCPixelFormat *pf;
	NSString *deviceUID;
	AudioDeviceID device;
	AudioDeviceIOProcID procID;
}

- (id)initWithIdentifier:(id)fp8;

- (BOOL)setup:(QCOpenGLContext *)context;
- (void)cleanup:(QCOpenGLContext *)context;

- (void)enable:(QCOpenGLContext *)context;
- (void)disable:(QCOpenGLContext *)context;

- (void)setAudioData:(const AudioBufferList *)audioBufferList;

- (BOOL)execute:(QCOpenGLContext *)context time:(double)time arguments:(NSDictionary *)arguments;

- (void)connect;

- (void)setDeviceUID:(NSString*)uid;
- (NSString*)deviceUID;

@end